import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - 新闻分类api
 *
 */
export class NewTypeApi {
    /**
     * 新闻分类树列表
     * @param {*} params
     */
    static treeList(params) {
        return Request.get('/portalNewsCategory/treeList', params);
    }

    /**
     * 添加
     * @param {*} params
     */
    static add(params) {
        return Request.post('/portalNewsCategory/add', params);
    }
    /**
     * 编辑
     * @param {*} params
     */
    static edit(params) {
        return Request.post('/portalNewsCategory/edit', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/portalNewsCategory/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/portalNewsCategory/batchDelete', params);
    }
    /**
     * 详情
     * @param {*} params
     */
    static detail(params) {
        return Request.getAndLoadData('/portalNewsCategory/detail', params);
    }
}